//LED am digitalen Pin D4 angeschlossen
#define led 4

void setup() {
  //beginn der seriellen Kommunikation mit 9600 baud
  //über Serial1 (RX & TX Pins)
  Serial1.begin(9600);
  //Pin der LED als Ausgang definieren
  pinMode(led, OUTPUT);
}

void loop() {
  //Wenn Daten am Serial1 anliegen, dann...
  if (Serial1.available() > 0) {
    //Auslesen der gesamten Zeile (bis zu einem Zeilenumbruch)
    String val = Serial1.readString();
    //Entfernen des Zeilenumbruchs und des Zeilenvorschubs (\r\n)
    val.replace("\r", "");
    val.replace("\n", "");

    //Wenn der Wert der Variable val gleich "AN" ist, dann...
    if (val == "AN") {
      //Ausgeben des Textes "LED AN!" auf die serielle Schnittstelle
      //am USB-Anschluss
      Serial.println("LED AN!");
    } else if (val == "AUS") {
      //Ausgeben des Textes "LED AUS!" auf die serielle Schnittstelle
      //am USB-Anschluss
      Serial.println("LED AUS!");
    } else {
      //Manchmal werden zusätzliche Zeichen übertragen dann soll eine
      //Fehlermeldung ausgegeben werden.
      Serial.println("Fehler!");
    }

    //aktivieren oder deaktieren der LED je nach Wert der Variable val.
    digitalWrite(led, val == "AN" ? 1 : 0);
  }
}
