//Bibliothek zum entprellen eines Tasters
#include <Bounce2.h>

//Taster am digitalen Pin D4 angeschlossen
#define taster 4

//initialisieren eines Bounce2-Button Objektes
Bounce2::Button button = Bounce2::Button();

//Feld zum speichern des Zustandes
bool state = false;

void setup() {
  //beginn der seriellen Kommunikation mit 9600 baud
  Serial.begin(9600);
  //Der Taster ist über den internen 10 kOhm PullUp Widerstand angeschlossen
  button.attach(taster, INPUT_PULLUP);
  //Intervall für das entprellen
  button.interval(5);
  //Wenn der Taster gedrückt ist, dann soll dieses als LOW interpretiert werden.
  button.setPressedState(LOW);
}

void loop() {
  //aktualisieren des Button Objektes
  button.update();
  //Wenn der Taster betätigt wird, dann...
  if (button.pressed()) {
    //Umkehren des Status, dieses wird über das Ausrufezeichen gemacht.
    state = !state;
    //Senden des Textes "AN" wenn der Status true ist und "AUS" wenn dieser
    //false ist.
    Serial.println(state ? "AN" : "AUS");
  }
}
