#include <Bounce2.h>

//Taster am digitalen Pin D8 angeschlossen
#define button 8

//interne LED am digitalen Pin D13 angeschlossen
#define led 13

//initialisieren eines Bounce2 Button Objektes
Bounce2::Button btn = Bounce2::Button();

void setup() {
  //beginn der seriellen Kommunikation mit 9600 baud
  Serial.begin(9600);

  //Konfigurieren des Button Objektes
  //der Taster ist über den internen 10 kOhm
  //PullUp Widerstand angeschlossen
  btn.attach(button, INPUT_PULLUP);
  //entprellen mit 5 Millisekunden
  btn.interval(5);
  //wenn der Taster gedrückt ist, wird
  //dieses als LOW interpretiert
  btn.setPressedState(LOW);

  //Pin der LED als Ausgang definieren
  pinMode(led, OUTPUT);
}

void loop() {
  //aktualisieren des Button Objektes
  btn.update();

  //Taster gedrückt
  if(btn.fell()){
    //aktivieren der LED
    digitalWrite(led, HIGH);
  }

  //Taster losgelassen
  if(btn.rose()){
    //deaktivieren der LED
    digitalWrite(led, LOW);
  }
}