//Bibliothek zum kommunizieren mit dem DHTx Sensor
//Diese Bibliothek kann mit dem DHT11 & DHT22 Sensor
//verwendet werden.
#include <DHT.h>

//DHT11 Sensor am digitalen Pin D9 angeschlossen
#define sensor 9
//Der Typ des Sensors ist DHT11, wenn du einen
//DHT22 verwendest so musst du dieses hier anpassen
#define DHTTYPE DHT11

//initialisieren eines DHT Sensor Objektes
DHT dhtSensor(sensor, DHTTYPE);

void setup() {
  //beginn der seriellen Kommunikation mit 9600 Baud
  Serial.begin(9600);
  //begin der Kommunikation mit dem Sensor
  dhtSensor.begin();
}

void loop() {
  //der DHT Sensor liefert alle 1,5 Sekunden einen neuen Messwert
  delay(1500);
  //auslesen der Sensorwerte
  float humidityVal = dhtSensor.readHumidity();
  float tempVal = dhtSensor.readTemperature();
  float tempFahrenheitVal = dhtSensor.readTemperature(true);

  //prüfen ob die gelesenen Werte korrekt ausgelesen wurde
  if (isnan(humidityVal) || isnan(tempVal) || isnan(tempFahrenheitVal)) {
    Serial.println("Fehler beim lesen des Sensors!");
    //Bei einem Fehler soll die Funktion loop hier nun abgebrochen
    //werden.
    return;
  }

  //Ausgeben der Werte auf der seriellen Schnittstelle
  Serial.print("rel. Luftfeuchtigkeit:");
  Serial.print(humidityVal);
  Serial.println("%");

  Serial.print("Temperatur:");
  Serial.print(tempVal);
  Serial.print("°C | ");
  Serial.print(tempFahrenheitVal);
  Serial.println("°F");
}
