#include <DHT.h>

#define sensor 9
#define DHTTYPE DHT11

DHT dhtSensor(sensor, DHTTYPE);

void setup() {
  Serial.begin(9600);
  dhtSensor.begin();
}

void loop() {
  delay(1500);
  float humidityVal = dhtSensor.readHumidity();
  float tempVal = dhtSensor.readTemperature();
  float tempFahrenheitVal = dhtSensor.readTemperature(true);

  if (isnan(humidityVal) || isnan(tempVal) || isnan(tempFahrenheitVal)) {
    Serial.println("Fehler beim lesen der Daten vom DHT11 Sensor!");
    return;
  }

  Serial.print("rel.Luftfeuchtigkeit(%):");
  Serial.print(humidityVal);
  Serial.print(",");
  Serial.print("Temperatur(°C):");
  Serial.print(tempVal);
  Serial.print(",");
  Serial.print("Temperatur(°F):");
  Serial.print(tempFahrenheitVal);
  Serial.println(",");
}
