//Ultraschallabstandssensor
//Pin Trigger am digitalen Pin D3 angeschlossen
#define trigger 3
//Pin Echo am digitalen Pin D2 angeschlossen
#define echo 2

//LEDs
#define ledRot 4
#define ledGelb 5
#define ledGruen 6

//maximaler und minimaler Wert
//für das aktivieren der LEDs
const int MAX_VALUE = 20;
const int MIN_VALUE = 10;

void setup() {
  pinMode(trigger, OUTPUT);
  pinMode(echo, INPUT);

  pinMode(ledRot, OUTPUT);
  pinMode(ledGelb, OUTPUT);
  pinMode(ledGruen, OUTPUT);
}

float readUltraSonicSensor() {
  //Trigger Signal ausschalten
  digitalWrite(trigger, LOW);
  //2 ms warten
  delayMicroseconds(2);
  //Trigger Signal einschalten
  digitalWrite(trigger, HIGH);
  //10ms warten
  delayMicroseconds(10);
  //Trigger Signal ausschalten
  digitalWrite(trigger, LOW);
  //Das Empfangene Echo Signal in cm umrechnen
  float cm = pulseIn(echo, HIGH) / 58.0;
  //Da der Sensor mit einer Messgenauigkeit von 0,3cm arbeitet können wir das
  //Ergbnis auf 2 Nachkommastellen begrenzen
  return (int(cm * 100.0)) / 100.0;
}

void setLEDs(bool redLED, bool yellowLED, bool greenLED) {
  digitalWrite(ledRot, redLED);
  digitalWrite(ledGelb, yellowLED);
  digitalWrite(ledGruen, greenLED);
}

void loop() {
  //auslesen des Sensorwertes
  float sensorValue = readUltraSonicSensor();
  //Wenn der Sensorwert größer als der Maximale Wert ist, dann...
  if (sensorValue > MAX_VALUE) {
    setLEDs(true, false, false);
    //Wenn der Sensorwert kleiner als der Minimale Wert ist, dann...
  } else if (sensorValue < MIN_VALUE) {
    setLEDs(false, false, true);
  } else {
    //andernfalls, dann...
    setLEDs(false, true, false);
  }
}
